Digital Humans
GET /v2/digital-humans
List Digital Humans.
GET /v2/digital-humans
curl --request GET \
--url https://api.getbluejay.ai/v2/digital-humansimport requests
url = "https://api.getbluejay.ai/v2/digital-humans"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getbluejay.ai/v2/digital-humans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v2/digital-humans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v2/digital-humans"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getbluejay.ai/v2/digital-humans")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v2/digital-humans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_bodyReturns the Digital Humans in your organization, newest first.
page_size is 20 by default and 100 at most. Read total_pages to know when to stop.
- Repeat
digital_human_idto read specific Digital Humans. An unknown ID returns an empty list. Repeatsimulation_idto read the Digital Humans linked to specific simulations. An unknown or unreadablesimulation_idreturns 404. - A Digital Human must match every filter you send, including
typeandtags, and any one of the values within a filter. - Each item lists the
simulation_idsit belongs to. digital_human_idandsimulation_idtake up to 100 values each.
?simulation_id= replaces /v1/digital-humans-by-simulation. It returns total_count and paged results, newest first.
Query parameters
Headers
Response
Status codes
| Status | Meaning |
|---|---|
200 | Successful Response |
422 | Validation Error |
Example request
curl --request GET \
--url https://api.getbluejay.ai/v2/digital-humans \
--header 'X-API-Key: <api-key>'
Example response
200
{
"digital_humans": [
{
"id": 123,
"bluejay_as_code_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"intent": "<string>",
"success_criteria": "<string>",
"tag": "<string>",
"tags": [
"<string>"
],
"type": "voicemail_custom",
"system_prompt_rule_ids": [
"<string>"
],
"system_prompt_rule_quotes": [
"<string>"
],
"name": "<string>",
"language": "en",
"accent": "multilingual",
"gender": "male",
"custom_voice_id": "<string>",
"background_noise": "<string>",
"custom_background_noise_url": "<string>",
"voice_speed": "<string>",
"audio_quality": "<string>",
"fluency": "<string>",
"verbosity": "<string>",
"phone_number": "<string>",
"extension": "<string>",
"outbound_text_number": "<string>",
"websocket_url": "<string>",
"background_noise_volume": 1.5,
"expected_tool_calls": [
{
"name": "<string>",
"parameters": {},
"output": null
}
],
"allow_end_call_tool": true,
"allow_silence_tool": true,
"allow_dtmf_tool": true,
"default_dtmf_or_voiced": "voiced",
"silence_tool_instructions": "default",
"endpointing_delay": 1.5,
"creativity": 1.5,
"hangup_phrases": [
"<string>"
],
"hangup_instructions": "<string>",
"silence_timeout": 123,
"role_description": "<string>",
"created_at": "2026-01-01T00:00:00Z",
"traits": [
{
"trait_name": "<string>",
"trait_data_type": "BOOLEAN",
"value": null,
"is_sip_header": false
}
],
"interruptions": {},
"scripted_responses": [
{
"match_type": "exact",
"match_phrase": "<string>",
"response_type": "phrase",
"response_value": "<string>",
"scripted_response_audio_snippet_url": "<string>",
"occurrence_mode": "always",
"occurrence_n": 123,
"silence_duration": 123
}
],
"scripted_responses_ordered": false,
"speaks_first_config": {
"speaks_first": true,
"mode": "custom",
"message": "<string>",
"dynamic": true
},
"original_transcript": "<string>",
"formatted_transcript": [
{
"key": "<string>"
}
],
"enriched_playback": [
{}
],
"workflow_v2_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"workflow_path_index": 123,
"tested_path": [
"<string>"
],
"tool_responses": {},
"livekit_metadata": {},
"provider_request_data": {},
"test_name": "<string>",
"journey_steps": [
{
"step": 123,
"intent": "",
"success_criteria": "",
"modality": "voice",
"direction": "inbound",
"wait_seconds": 123,
"response_window_seconds": 123,
"unresponsive": false,
"phone_number": "<string>"
}
],
"always_on_mode": true,
"always_on_active": false,
"num_runs": 1,
"persona_ids": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"attack_vector": "<string>",
"attack_type": "<string>",
"attack_plan": {},
"simulation_ids": [
123
]
}
],
"total_count": 123,
"page": 123,
"page_size": 123,
"total_pages": 123,
"warning": "<string>"
}
Last modified on November 16, 2026
⌘I
GET /v2/digital-humans
curl --request GET \
--url https://api.getbluejay.ai/v2/digital-humansimport requests
url = "https://api.getbluejay.ai/v2/digital-humans"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.getbluejay.ai/v2/digital-humans', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.getbluejay.ai/v2/digital-humans",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.getbluejay.ai/v2/digital-humans"
req, _ := http.NewRequest("GET", url, nil)
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.getbluejay.ai/v2/digital-humans")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.getbluejay.ai/v2/digital-humans")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
response = http.request(request)
puts response.read_body